Bug 263943 - www/httptunnel: update && take maintainership
Summary: www/httptunnel: update && take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2022-05-12 18:47 UTC by Chris Hutchinson
Modified: 2022-05-15 17:42 UTC (History)
1 user (show)

See Also:


Attachments
git diff for www/httptunnel (2.99 KB, patch)
2022-05-12 18:47 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2022-05-12 18:47:20 UTC
Created attachment 233881 [details]
git diff for www/httptunnel

I went to use this and discovered that the WWW
hasn't been available for about 4 years. So I
did some research and found it has a new home
on GitHub. While here update it to the latest
version && take maintainership.

The only changes to source are literary (no
functional changes). See:
https://github.com/larsbrinkhoff/httptunnel/commit/ebe25833aae50e3b76d9acd5d662cd06381f8b8c
for details.

Changes:
Makefile
MASTER_SITES,MAINTAINER && add a USES
distinfo
pkg-descr

make (-DBATCH check-plist | stage-qa | check-sanity) &&
portlint all return AOK

That's it.

Thanks!

NOTE: this port is currently maintained by ports@
Comment 1 Fernando Apesteguía freebsd_committer 2022-05-15 17:42:02 UTC
Committed,

Thanks for stepping up and maintaining the port.
Comment 2 commit-hook freebsd_committer 2022-05-15 17:42:34 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8178090534fbd59003ca04fad286c41b3c9f6614

commit 8178090534fbd59003ca04fad286c41b3c9f6614
Author:     Chris Hutchinson <portmaster@bsdforge.com>
AuthorDate: 2022-05-13 07:56:52 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2022-05-15 17:39:36 +0000

    www/httptunnel: update && take maintainership

    Submitter requests maintainership. Already maintainer of several ports.

    No functional changes in the port, but getting it in shape.

    PR:     263943
    Reported by:    portmaster@bsdforge.com

 www/httptunnel/Makefile  | 20 +++++++++++++-------
 www/httptunnel/distinfo  |  6 ++++--
 www/httptunnel/pkg-descr | 24 ++++++++----------------
 3 files changed, 25 insertions(+), 25 deletions(-)